Bug 469159 - Warning during XO boot: Invalid iomem size. You may experince problems
Warning during XO boot: Invalid iomem size. You may experince problems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2008-10-30 07:06 EDT by Jiri Pechanec
Modified: 2008-11-13 11:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-13 11:09:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2008-10-30 07:06:31 EDT
Description of problem:
When the XO boots there is a message printed that is overwritten with the booting bar (thus there can be mistakes in the text).
(Something) dhcp-pci: 0000-0-0c.1 Invalid iomem size. You may experince problems

Version-Release number of selected component (if applicable):
Fedora 10 Snap 3 on XO

How reproducible:
Always during boot

Steps to Reproduce:
1. Boot the XO and carefully monitor lower part of screen overwritten with progress bar
Comment 1 Jeremy Katz 2008-11-03 15:36:16 EST
This is also present in the base OLPC kernel and doesn't seem to cause any problems.

I wonder if we should just drop it from being an error to being lower priority (warning or debug).  The length of the bar on the olpc is longer than expected which really seems like it shouldn't be an error case.  Something like

diff --git a/drivers/mmc/host/sdhci-pci.c b/drivers/mmc/host/sdhci-pci.c
index 9bd7026..b0dce16 100644
--- a/drivers/mmc/host/sdhci-pci.c
+++ b/drivers/mmc/host/sdhci-pci.c
@@ -506,7 +506,7 @@ static struct sdhci_pci_slot * __devinit sdhci_pci_probe_slot(
 	}
 
 	if (pci_resource_len(pdev, bar) != 0x100) {
-		dev_err(&pdev->dev, "Invalid iomem size. You may "
+		pr_debug(&pdev->dev, "Invalid iomem size. You may "
 			"experience problems.\n");
 	}
Comment 2 Jeremy Katz 2008-11-07 17:07:16 EST
Pierre -- do you have any ideas here?  Things are definitely working fine, the warning during boot just isn't pretty.
Comment 3 Pierre Ossman 2008-11-07 19:57:42 EST
You can remove the warning for OLPC kernels (where it has been verified to be ok), but in the general case it should stay. It should probably be downgraded to a dev_warn() though.

Note You need to log in before you can comment on or make changes to this bug.